import mrcfile
import os,io,sys
import numpy as np
import getopt

from os import listdir

centriole_file = "";
Golgi_file = "";
granules_file = "";
microtubules_file = "";
synapse_file = "";
output_file = ""；

def usage():
	print("python3 ~/SegET/data_preprocess/dataset_combination.py -c ~/SegET/CTL_Segs/CTL_ImmunSynapse_centriole.mrc -g \
			~/SegET/CTL_Segs/CTL_ImmunSynapse_Golgi.mrc -r ~/SegET/CTL_Segs/CTL_ImmunSynapse_granules.mrc \
			-m ~/SegET/CTL_Segs/CTL_ImmunSynapse_microtubules.mrc -s ~/SegET/CTL_Segs/CTL_ImmunSynapse_synapse.mrc \
			-o ~/SegET/CTL_Segs/CTL_ImmunSynapse_Labels.mrc");
	print("output CTL_ImmunSynapse_Labels.mrc");


def read_combine_data():
	# read in mrcfiles
	centriole_em = mrcfile.open(centriole_file,permissive = True);
	Golgi_em = mrcfile.open(Golgi_file,permissive = True);
	granules_em = mrcfile.open(granules_file,permissive = True);
	microtubules_em = mrcfile.open(microtubules_file,permissive = True);
	synapse_em = mrcfile.open(synapse_file,permissive = True);

	#get images data from em data
	centriole = centriole_em.data;
	Golgi = Golgi_em.data;
	granules = granules_em.data;
	microtubules = microtubules_em.data;
	synapse = synapse_em.data;

	label_data = centriole + Golgi + granules + microtubules + synapse;
	mrcfile.save(output_file,data=label_data.astype('float32'),overwrite=True);


def main():
	opts, args = getopt.getopt(sys.argv[1:], "hc:g:r:m:s:o:");
	for op,value in opts:
		if op == "-h":
			usage();
			sys.exit();
		elif op == "-c":
			centriole_file = value;
		elif op == "-g":
			Golgi_file = value;
		elif op == "-r":
			granules_file = value;
		elif op == "-m":
			microtubules_file = value;
		elif op == "-s":
			synapse_file = value;
		elif op == "-o":
			output_file = value;
	read_combine_data()
	print(centriole_file,Golgi_file,granules_file,microtubules_file,synapse_file);

if __name__ == "__main__":
	main();





